<button class="add-button" (click)="openVerticallyCentered(mymodal)" >+</button>
<ng-template #mymodal let-modal >
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Créer un Type d'Erreur</h4>
    <button type="button" class="btn-close" aria-label="Close" (click)="modal.dismiss('Cross click')"></button>
  </div>
  <div class="modal-body">
    <form [formGroup]="createTypeForm" (ngSubmit)="onSubmit()">
      <div class="form-group">
        <label class="mb-1" for="nom">Intitulé</label>
        <input
          type="text"
          id="nom"
          name="nom"
          class="form-control mb-2"
          formControlName="nom"
        />
      </div>
      <div class="form-group">
        <label class="mb-1" for="details">Détails</label>
        <textarea
          class="form-control mb-2"
          id="details"
          name="details"
          formControlName="details"
        ></textarea>
      </div>
      <div class="form-group">
        <select name="priorite" id="priorite" class="w-100" formControlName="priorite">
          <option value="" [selected]>Choisissez une priorité</option>
          <option value=1>urgent</option>
          <option value=2>important</option>
          <option value=3>standard</option>
          <option value=4>optionnel</option>
        </select>
      </div>
      <div class="form-group">
        <select name="niveau" id="niveau" class="w-100" formControlName="niveau">
          <option value="" [selected]>Niveau de criticité</option>
          <option value=1>critique</option>
          <option value=2>modéré</option>
          <option value=3>standard</option>
          <option value=4>faible</option>
        </select>
      </div>
      <div class="form-group">
        <label class="mb-1 me-2 w-100" for="couleur">Couleur :</label>
        <input name="couleur" id="couleur"
               [style.background]="color1"
               [(colorPicker)]="color1"
               (colorPickerClose)="onEventLog('colorPickerClose', $event)"/>
      </div>
      <div class="mt-3 mb-2">
        <button class="btn btn-primary w-100">Sauvegarder</button>
      </div>
      <div class="mt-2 mb-2">
        <button class="btn btn-secondary w-100" type="reset" (click)="onReset()">Annuler</button>
      </div>
    </form>
  </div>
</ng-template>

